<script>
import Select from "@/components/Select.vue";
import SvgIcon from "@/components/SvgIcon.vue";
import MainDialog from "@/components/dialog/MainDialog.vue";

export default {
  name: "Safety",
  components: { MainDialog, Select, SvgIcon },
  data() {
    return {
      selectIndex: 0,
      brakeVisible: false,
      blindVisible: false,
      tempVisible: false,
      tempSwitch: true,
      temp: false,
    };
  },
  methods: {
    selectChange(index) {
      this.$refs.tempImg.style.display = "none";
      this.$refs.tempIcon.style.display = "none";
      this.selectIndex = index;

      if (index === 3) {
        this.tempVisible = true;
      }
    },
    tempChange(e, index) {
      if (index === 0) {
        this.selectIndex = 3;
      } else {
        this.selectIndex = 2;
      }

      this.tempVisible = e;
    },
    tempClick() {
      this.temp = true;
      this.$refs.tempImg.style.display = "block";
      if (this.tempSwitch) this.$refs.tempIcon.style.display = "block";
      else this.$refs.tempIcon.style.display = "none";
    },
    handleClick(type) {
      this.$refs.tempImg.style.display = "none";
      this.$refs.tempIcon.style.display = "none";

      if (type === 1) {
        this.brakeVisible = true;
      } else if (type === 2) {
        this.blindVisible = true;
      }
    },
  },
};
</script>

<template>
  <div class="custom-body">
    <div class="card-body">
      <div class="card-group-1 flex flex-column mb-2">
        <div class="tmp">
          <span>预测性紧急碰撞预警</span>
          <SvgIcon icon-class="setting_tips" />
        </div>
        <Select
          :options="['较晚', '适中', '较早', '关闭']"
          :selected-index="selectIndex"
          background="#E9EDEF"
          @changeIndex="selectChange"
        />

        <u-card
          :padding="0"
          left-text="自动紧急制动"
          left-icon-name="setting_tips"
          @onClick="handleClick(1)"
        >
          <template #right>
            <u-switch value="value" />
          </template>
        </u-card>
      </div>

      <u-card
        class="mb-2"
        shadow
        left-text="盲区辅助"
        left-icon-name="setting_tips"
        is-arrow
        @onClick="handleClick(2)"
      />
      <u-card
        class="mb-2"
        shadow
        left-text="电子车身稳定系统关闭"
        @onClick="tempClick"
      >
        <template #right>
          <u-switch v-model="tempSwitch" />
        </template>
      </u-card>

      <u-card class="custom-card" shadow>
        <template #left>
          <div class="w-full">电子驻车制动</div>
          <div class="w-full">可通过换挡或踩油门接触电子驻车制动</div>
        </template>
        <template #right>
          <u-switch value="value" />
        </template>
      </u-card>
    </div>

    <SvgIcon
      v-if="selectIndex !== 0 && selectIndex !== 3"
      class="icon"
      icon-class="safety_tips"
      style="z-index: 2"
    />

    <img
      v-if="selectIndex === 0"
      src="../../assets/images/setting/setting_car2.webp"
      alt=""
      class="custom-body-img"
    />

    <img
      v-else
      src="../../assets/images/setting/safety/img.webp"
      alt=""
      class="custom-body-img"
    />

    <img
      src="../../assets/images/setting/safety/img_1.webp"
      alt=""
      class="custom-body-img"
      ref="tempImg"
      style="z-index: 1; display: none"
    />

    <img
      ref="tempIcon"
      src="../../assets/images/setting/safety/img_2.webp"
      alt=""
      class="temp-img"
      style="display: none"
    />

    <MainDialog
      title="自动紧急制动"
      :dialogVisible="brakeVisible"
      :bottom-array="[
        { name: '确定', color: '#1989FA' },
        { name: '取消', color: '#606266' },
      ]"
      :width="908"
      @close="(e) => (brakeVisible = e)"
      @changeVisble="(e) => (brakeVisible = e)"
    >
      <template #content>
        <div
          class="w-full"
          :style="{ 'font-size': $px2vw(30), 'padding-bottom': $px2vw(60) }"
        >
          请确认是否关闭预测性碰撞报警系统，此次关闭仅对当前点火循环有效。
        </div>
      </template>
    </MainDialog>

    <MainDialog
      title="预测性碰撞预警"
      :dialogVisible="tempVisible"
      :bottom-array="[
        { name: '确定', color: '#1989FA' },
        { name: '取消', color: '#606266' },
      ]"
      :width="908"
      @close="(e) => (tempVisible = e)"
      @changeVisble="tempChange"
    >
      <template #content>
        <div
          class="w-full"
          :style="{ 'font-size': $px2vw(30), 'padding-bottom': $px2vw(60) }"
        >
          请确认是否关闭预测性碰撞报警系统，此次关闭仅对当前点火循环有效。
        </div>
      </template>
    </MainDialog>

    <MainDialog
      title="盲区辅助"
      :dialogVisible="blindVisible"
      @close="(e) => (blindVisible = e)"
      @changeVisble="(e) => (blindVisible = e)"
      :width="861"
      is-close
    >
      <template #content>
        <div
          class="w-full flex flex-column"
          :style="{ 'font-size': $px2vw(30) }"
        >
          <div class="flex flex-jcs flex-center mb-6">
            <span>盲区监测</span>
            <u-switch value="value" />
          </div>

          <div class="flex flex-jcs flex-center mb-6">
            <span>开门预警</span>
            <u-switch value="value" />
          </div>
          <div class="flex flex-jcs flex-center mb-6">
            <span>后方碰撞预警</span>
            <u-switch value="value" />
          </div>
          <div class="flex flex-jcs flex-center mb-6">
            <span>后方交通穿行预警</span>
            <u-switch value="value" />
          </div>
          <div class="flex flex-jcs flex-center mb-6">
            <span>后方交通穿行预警</span>
            <u-switch value="value" />
          </div>
        </div>
      </template>
    </MainDialog>
  </div>
</template>

<style scoped lang="scss">
.temp-img {
  position: absolute;
  right: 131px;
  top: 230px;
  width: 45px;
  height: 70px;
  z-index: 2;
}
.icon {
  position: absolute;
  right: 44px;
  top: 262px;
  width: 163px;
  height: 73.5px;
  z-index: 1;
}

.custom-card {
  ::v-deep .card-left {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    padding-bottom: 13px;

    div:first-child {
      font-size: 28px;
      color: #999999;
    }
    div:last-child {
      position: absolute;
      left: -50px;
      top: 30px;
      font-size: 20px;
      color: #d7d7d6;
      transform: scale(0.8);
    }
  }
}
.custom-body {
  display: flex;
  width: 694px;

  .card-body {
    width: 100%;

    .card-group-1 {
      .tmp {
        font-size: 28px;
        .svg-icon {
          width: 36px;
          height: 36px;
        }
        span {
          margin-right: 15px;
        }
      }
      .select-warp {
        height: 70px;
        margin: 30px 0 60px;
      }

      padding: 40px 40px 35px;
      border-radius: 20px;
      opacity: 1;
      background: #ffffff;
      box-shadow: 0 0 10px 3px rgba(0, 0, 0, 0.09);
    }
  }

  &-img {
    width: 774px;
    height: 697px;
    position: absolute;
    right: 93px;
    top: 220px;
    z-index: 0;
    object-fit: contain;
  }
}
</style>
